# Generated by sila2.code_generator; sila2.__version__: 0.9.2
from __future__ import annotations

from typing import Optional

from sila2.framework.errors.defined_execution_error import DefinedExecutionError

from .temperaturecontroller_feature import TemperatureControllerFeature


class MaxTemperatureTooHigh(DefinedExecutionError):
    def __init__(self, message: Optional[str] = None):
        if message is None:
            message = "The provided max temperature is too high and cannot be set"
        super().__init__(
            TemperatureControllerFeature.defined_execution_errors["MaxTemperatureTooHigh"], message=message
        )
